On the Enlightenment Bleeding Edge

"Marco Trevisan (Treviño)" mail at 3v1n0.net
Thu Apr 2 23:16:04 CEST 2009

Marco Trevisan (Treviño) wrote:
> In the latest months the enlightenment world has got many updates, but
> unfortunately the distros available for the FR don't provide the latest
> versions of the E stack. This is quite normal since they have to share a
> tested environment, but it makes so hard to use the latest tools (also
> because the e libs have frequent changes).
> That's why today I've given to my Toolchain another challenge :P:
> compiling E from svn (but following the OE bitbakes configurations)...
> After some hours, I got it and I was able to run the latest illume code
> in my phone, but without breaking my Om2008.12 installation.
> In fact I've installed all my new data to /usr/e17, that's why the
> default e installation that comes with Om2008.12 is not touched at all.

Since I was asked for it by some users, I've uploaded newer packages of
the latest e17 svn compiled for being installed in /usr/e17 not to break
any installation [1]. Follow the previous provided instructions to
install it.
It includes also elementary; you can try it with:
 DISPLAY=:0 LD_LIBRARY_PATH=/usr/e17/lib elementary_test

Unfortunately this build (and the previous one) isn't compatibile with
latest libeWebkit that I've planned to recompile to make it work with
eve (the new ewww name ;)).



Treviño's World - Life and Linux

More information about the community mailing list